Subject: [lamps] CMS with SHAKE128 and SHAKE256 draft.

From: "Dang, Quynh (Fed)" <[email-masked]>
Date: Sun, 29 Oct 2017 12:15:49 +0000

Hi all,

Since our group did not adopt SHA3s, I replaced them by SHAKE128 and SHAKE256 (asked by Russ Housley: the chair) in this draft
https://tools.ietf.org/html/draft-housley-lamps-cms-sha3-hash-00, then generated a new draft posted at the link below.

https://datatracker.ietf.org/doc/draft-dang-lamps-cms-shakes-hash/

Since we use the SHAKEs, I specified KMAC for MAC.

Regards,
Quynh.

________________________________
From: Spasm <[email-masked]> on behalf of Russ Housley <[email-masked]>
Sent: Friday, September 15, 2017 3:43 PM
To: [email-masked]
Subject: [lamps] Starting work to CAA and SHAKE

I have been discussing the recharter with EKR, and he agrees that we should get started on this work even though the LAMPS re-charter is blocked on a bit of process.

Having completed the S/MIME 4.0 specifications and updates to support i18n email addresses in PKIX certificates, the LAMPS WG is now ready to work on two additional topics:

1. Specify a discovery mechanism for CAA records to replace the one described in RFC 6844.

2. Specify the use of SHAKE128/256 and SHAKE256/512 for PKIX and S/MIME.

Other topics can be considered when these two are progressing.

CAA

RFC 6844 describes the mechanism by which CAA records relating to a domain are discovered.  Implementation experience has demonstrated an ambiguity in the current processing of CNAME and DNAME records during discovery.  Subsequent discussion has suggested that a different discovery approach would resolve limitations inherent in the current approach.  We have seen at least two individual drafts on this topic.  I would like to have the WG adopt a rfc6844bis as a starting point.

SHAKE

Unlike the previous hashing standards, the SHA-3 functions are the outcome of an open competition.  They have a clear design rationale and have received a lot of public analysis, resulting in great confidence that the SHA-3 family of functions are very secure.  Also, since the design of the SHA-3 functions use a very different construction from the SHA-2 functions, they offer an excellent alternative to the SHA-2 family
of functions.  In particular, SHAKE128/256 and SHAKE256/512 offer security and performance benefits.  We have not seen any individual drafts on this yet.  It seems to me that one draft is needed for PKIX and another draft is needed for CMS and S/MIME.  Is anyone willing to work on them?

Russ
_______________________________________________
Spasm mailing list
[email-masked]
https://www.ietf.org/mailman/listinfo/spasm